Create a project
curl --request POST \
--url https://api.sapt.ai/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"parentProjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branding": {
"colors": [
{
"name": "<string>",
"hex": "<string>"
}
],
"description": "<string>"
},
"urls": [
{
"name": "<string>",
"url": "<string>"
}
],
"metadata": {},
"billingOwnerProjectId": "<string>"
}
'import requests
url = "https://api.sapt.ai/projects"
payload = {
"name": "<string>",
"parentProjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branding": {
"colors": [
{
"name": "<string>",
"hex": "<string>"
}
],
"description": "<string>"
},
"urls": [
{
"name": "<string>",
"url": "<string>"
}
],
"metadata": {},
"billingOwnerProjectId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
parentProjectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
branding: {colors: [{name: '<string>', hex: '<string>'}], description: '<string>'},
urls: [{name: '<string>', url: '<string>'}],
metadata: {},
billingOwnerProjectId: '<string>'
})
};
fetch('https://api.sapt.ai/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"project": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"plan": "<string>",
"createdAt": "<string>"
},
"credits": {
"granted": 123,
"balance": 123
}
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Projects
Create a project
Create a new project with optional initial configuration.
POST
/
projects
Create a project
Authorizations
JWT token obtained from /api/auth/token endpoint. Token is verified using JWKS and must include a valid user identifier.
Body
application/json